package com.qima.gift.appcommon.account;

import com.qima.gift.common.IBaseEnum;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 * 账户模块常量类
 * @author King
 * @since 2023/6/4 18:25
 */
public class AccountConst {

    private AccountConst(){}

    public static final String ACCOUNT_SUPER_ID = "1";

    public static final String ACCOUNT_SUPER_NAME = "超级管理员";

    public static final String ACCOUNT_SUPER_USERNAME = "qimaadmin";

    public enum AuthResultEnum implements IBaseEnum<String>{

        Ok("Ok","认证成功"),
        None("None","账户不存在"),
        Error("Error","凭证不匹配");


        private String key;
        private String name;

        AuthResultEnum(String k, String n) {
            this.key = k;
            this.name = n;
        }

        @Override
        public String getKey() {
            return this.key;
        }

        @Override
        public String getName() {
            return this.name;
        }

        public static AccountAuthTypeEnum findEnumByKey(String k) {
            return IBaseEnum.findEnumByKey(AccountAuthTypeEnum.class,k);
        }
    }

    public enum AccountAuthTypeEnum implements IBaseEnum<String> {

        UserName("UserName","用户名"),
        Phone("Phone","手机号"),
        Email("Email","邮箱"),
        WeChat("WeChat","微信"),
        QQ("QQ","qq"),
        Sina("Sina","新浪");

        private String key;

        private String name;

        AccountAuthTypeEnum(String k, String n) {
            this.key = k;
            this.name = n;
        }

        @Override
        public String getKey() {
            return this.key;
        }

        @Override
        public String getName() {
            return this.name;
        }

        public static AccountAuthTypeEnum findEnumByKey(String k) {
            return IBaseEnum.findEnumByKey(AccountAuthTypeEnum.class,k);
        }
    }

    public enum AccountAuthEncodeEnum implements IBaseEnum<Integer> {
        No(0,"无编码"),
        Md5(10,"MD5");

        private Integer key;

        private String name;

        AccountAuthEncodeEnum(Integer k, String n) {
            this.key = k;
            this.name = n;
        }

        @Override
        public Integer getKey() {
            return this.key;
        }

        @Override
        public String getName() {
            return this.name;
        }

        public static AccountAuthEncodeEnum findEnumByKey(Integer k) {
            return IBaseEnum.findEnumByKey(AccountAuthEncodeEnum.class,k);
        }
    }

}
