package com.qima.gift.appcommon.account.controller;

import com.qima.gift.appcommon.account.bean.AccountInfoBO;
import com.qima.gift.appcommon.account.service.IAccountService;
import com.qima.gift.appcommon.wechat.service.IWeChatService;
import com.qima.gift.common.CommonConst;
import com.qima.gift.common.Result;
import com.qima.gift.common.utils.JsonUtils;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.apache.commons.lang3.ObjectUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/6/3 18:13
 */
@RestController
@Tag(name="账户模块")
public class AccountController {
    @Autowired
    private IAccountService accountService;

    @Operation(summary = "审核账号", description = "内容格式：{\"v\":1-通过,0-不通过}")
    @PostMapping("/account/{aid}/verify")
    @Deprecated
    public Result<String> verifyAccount(@PathVariable String aid,@RequestBody String json) {
        Map<String,Object> m = JsonUtils.toObject(json,Map.class);
        AccountInfoBO bo = accountService.doAccountState(aid,CommonConst.StateEnum.findEnumByKey(Integer.valueOf(m.get("v").toString())));
        return ObjectUtils.allNull(bo)?Result.fail("审核失败"):Result.ok("审核成功",bo.getAccountInfoBean().getId());
    }

}
