package com.qima.gift.appcommon.account.utils;

import com.qima.gift.appcommon.account.AccountConst;
import com.qima.gift.appcommon.account.bean.AccountAuth;
import com.qima.gift.appcommon.account.bean.AccountInfo;
import com.qima.gift.appcommon.system.utils.SystemUtils;
import com.qima.gift.common.CommonConst;
import com.qima.gift.common.utils.IDUtils;

import java.util.Date;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/6/7 16:36
 */
public class AccountUtils {

    private AccountUtils(){}

    public static <T> T fillBeanBeforeInsert(T b) {
        if(b != null) {
            Date now = new Date();
            if(b instanceof AccountInfo bean) {
                if(AccountConst.ACCOUNT_SUPER_NAME.equals(bean.getName())) {
                    bean.setId(AccountConst.ACCOUNT_SUPER_ID);
                } else {
                    bean.setId(IDUtils.newUUID());
                }
                bean.setResType("unkown");
                bean.setResId("unkown");
                bean.setState(CommonConst.StateEnum.Unkown.getKey());
                bean.setGmtCreate(now);
                bean.setGmtModified(now);
                bean.setSysId(SystemUtils.getCurrentSystemId());
            } else if(b instanceof AccountAuth bean) {
                bean.setId(IDUtils.newUUID());
                bean.setGmtCreate(now);
                bean.setGmtModified(now);
                bean.setEncode(AccountConst.AccountAuthEncodeEnum.No.getKey());
                bean.setSysId(SystemUtils.getCurrentSystemId());
            }
        }
        return b;
    }

    public static <T> void fillBeanBeforeUpdate(T b) {
        if(b != null) {
            Date now = new Date();
            if( b instanceof AccountInfo bean) {
                bean.setGmtModified(now);
            } else if(b instanceof AccountAuth bean) {
                bean.setGmtModified(now);
            }
        }
    }
}
