package com.qima.gift.appcommon.security.base;

import com.qima.gift.appcommon.security.satoken.LoginDataDTO;
import com.qima.gift.common.CommonConst;
import org.springframework.core.Ordered;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/6/17 16:48
 */
public interface ISecurityListener extends Ordered {

    @Override
    default int getOrder() {
        return CommonConst.INT_0;
    }

    /**
     * 登录时
     * @param dto
     */
    default void onLogin(LoginDataDTO dto) {}

    /**
     * 获取数据时
     * @param dto
     */
    default void onLoad(LoginDataDTO dto){}

    /**
     * 退出时
     * @param dto
     */
    default void onLogout(LoginDataDTO dto){}

}
