package com.qima.gift.appcommon.security.satoken;

import cn.dev33.satoken.listener.SaTokenListenerForSimple;
import cn.dev33.satoken.stp.SaLoginModel;
import com.qima.gift.appcommon.security.service.ISecurityService;
import com.qima.gift.common.utils.JsonUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.core.annotation.Order;
import org.springframework.stereotype.Component;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/6/11 20:57
 */
@Component
@Slf4j
@Order(-1)
public class SatokenSecurityListener extends SaTokenListenerForSimple {

    @Autowired
    private ISecurityService securityService;

    @Override
    public void doLogin(String loginType, Object loginId, String tokenValue, SaLoginModel loginModel) {
        LoginDataDTO dto = securityService.logIn(tokenValue, (String)loginId);
        log.info("账户["+loginId+"]["+loginType+"]["+loginModel.getDevice()+"]登录了,token="+tokenValue);
    }

    @Override
    public void doLogout(String loginType, Object loginId, String tokenValue) {
        LoginDataDTO dto = securityService.logOut(tokenValue);
        log.info("账户["+loginId+"]["+loginType+"]退出了，扩展信息="+ JsonUtils.toJson(dto)+"，token="+tokenValue);
    }

    @Override
    public void doKickout(String loginType, Object loginId, String tokenValue) {
        LoginDataDTO dto = securityService.logOut(tokenValue);
        log.info("账户["+loginId+"]["+loginType+"]踢下线了，扩展信息="+ JsonUtils.toJson(dto)+"，token="+tokenValue);
    }

    @Override
    public void doReplaced(String loginType, Object loginId, String tokenValue) {
        LoginDataDTO dto = securityService.logOut(tokenValue);
        log.info("账户["+loginId+"]["+loginType+"]顶下线了，扩展信息="+ JsonUtils.toJson(dto)+"，token="+tokenValue);
    }
}
