package com.qima.gift.appcommon.security.service;

import com.qima.gift.appcommon.security.base.ISecurityListener;
import com.qima.gift.appcommon.security.satoken.LoginDataDTO;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/6/5 15:39
 */
public interface ISecurityService {
    /**
     * 登录时候就创建扩展数据
     * @param token
     * @return
     */
    public LoginDataDTO logIn(String token, String accountId) ;

    /**
     * 登出时移除扩展数据
     * @return
     */
    public LoginDataDTO logOut() ;

    /**
     * 指定登出时移除扩展数据
     * @param token
     * @return
     */
    public LoginDataDTO logOut(String token) ;

    /**
     * 获取登录数据
     * @return
     */
    public LoginDataDTO getLoginData();

    /**
     * 注册安全监听
     * @param listener
     */
    public void registSecurityListener(ISecurityListener listener);
}
