package com.qima.gift.appcommon.space.base;

import com.esotericsoftware.kryo.io.Input;
import com.qima.gift.appcommon.space.bean.SpaceFile;
import org.springframework.core.io.InputStreamSource;

import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/6/13 12:11
 */
public class SpaceFileReadFileSource implements IFileSource{

    private File source;

    private SpaceFile spaceFile;

    public SpaceFileReadFileSource(SpaceFile file, File source) {
        this.source = source;
        this.spaceFile = file;
    }

    @Override
    public String getFileName() {
        return spaceFile.getName();
    }

    @Override
    public String getContentType() {
        return spaceFile.getType();
    }

    @Override
    public InputStream getInputStream() throws IOException {
        InputStream fis = new FileInputStream(source);
        return fis;
    }
}
