package com.qima.gift.appcommon.space.utils;

import com.qima.gift.appcommon.space.SpaceConst;
import com.qima.gift.appcommon.space.bean.SpaceFile;
import com.qima.gift.appcommon.space.bean.SpaceFileDTO;
import com.qima.gift.appcommon.system.utils.SystemUtils;
import com.qima.gift.common.utils.IDUtils;

import java.util.Date;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/6/9 14:48
 */
public class SpaceUtils {

    private SpaceUtils(){}

    public static <T> void fillBeanBeforeInsert(T b) {
        if(b != null) {
            Date now = new Date();
            if(b instanceof SpaceFile bean) {
                bean.setId(IDUtils.newUUID());
                bean.setStorageArea(SpaceConst.STORAGE_AREA_DEFAULT_ID);
                bean.setStorageEncode(SpaceConst.SpaceFileStorageEncodeEnum.No.getKey());
                bean.setGmtCreate(now);
                bean.setGmtModified(now);
                bean.setSysId(SystemUtils.getCurrentSystemId());
            }
        }
    }

    public static <T> void fillBeanBeforeUpdate(T dbB,T customB) {
        if(customB != null && dbB != null) {
            Date now = new Date();
            if(customB instanceof SpaceFile bean && dbB instanceof SpaceFile dbBean) {
                bean.setId(dbBean.getId());
                bean.setGmtCreate(dbBean.getGmtCreate());
                bean.setGmtModified(now);
                bean.setSysId(dbBean.getSysId());
            }
        } else if (customB != null) {
            Date now = new Date();
            if(customB instanceof SpaceFile bean) {
                bean.setGmtModified(now);
            }
        }
    }

    public static SpaceFileDTO convert(SpaceFile spaceFile) {
        if(spaceFile == null) {return null;}
        SpaceFileDTO r = new SpaceFileDTO();
        r.setId(spaceFile.getId());
        r.setState(spaceFile.getState());
        r.setName(spaceFile.getName());
        r.setOwnerId(spaceFile.getOwnerId());
        return r;
    }

}
