package com.qima.gift.appcommon.system;

import com.qima.gift.common.IBaseEnum;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/6/7 16:48
 */
public class SystemConst {

    private SystemConst(){}

    public static final String SYSTEM_DEFAULT_ID = "0";
    public static final String SYSTEM_DEFAULT_CODE = "platform";

    /**
     * 系统类型
     */
    public static enum SystemInfoTypeEnum implements IBaseEnum<String> {
        Plat("Plat","平台"),
        Tenant("Tenant", "租户");

        private String key;
        private String name;
        private SystemInfoTypeEnum(String k,String n){
            this.key = k;
            this.name = n;
        }

        @Override
        public String getKey() {
            return key;
        }

        @Override
        public String getName() {
            return name;
        }

        public static SystemInfoTypeEnum findEnumByKey(String k) {
            return IBaseEnum.findEnumByKey(SystemInfoTypeEnum.class,k);
        }
    }

}
