package com.qima.gift.appcommon.system.utils;

import com.qima.gift.appcommon.system.SystemConst;
import com.qima.gift.appcommon.system.bean.SystemInfo;
import com.qima.gift.common.utils.IDUtils;

import java.util.Date;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/6/7 16:48
 */
public class SystemUtils {

    private SystemUtils(){}

    public static String getCurrentSystemId() {
        return SystemConst.SYSTEM_DEFAULT_ID;
    }

    public static void fillBeanBeforeInsert(SystemInfo info) {
        if(info != null) {
            Date now = new Date();
            if(SystemConst.SystemInfoTypeEnum.Plat.getKey().equals(info.getSystemType())) {
                info.setId(SystemConst.SYSTEM_DEFAULT_ID);
                info.setCode(SystemConst.SYSTEM_DEFAULT_CODE);
            } else {
                info.setId(IDUtils.newUUID());
            }
            info.setGmtCreate(now);
            info.setGmtModified(now);
        }
    }

    public static void fillBeanBeforeUpdate(SystemInfo info) {
        if(info != null) {
            Date now = new Date();
            info.setGmtModified(now);
        }
    }
}
