package com.qima.gift.common;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 * 统一返回对象
 * @author King
 * @since 2023/6/1 11:09
 */
public class Result<T> {

    private Integer code;

    private String message;

    private T data;

    /** 成功 */
    public static final Integer CODE_SUCC = 200;
    /** 服务器错误 */
    public static final Integer CODE_FAIL = 500;
    /** 客户端错误 */
    public static final Integer CODE_CLIENTFAIL = 400;

    public static final String MSG_SUCC = "业务执行成功";

    private Result(Integer code, String message, T data) {
        this.code = code;
        this.message = message;
        this.data = data;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public T getData() {
        return data;
    }

    public void setData(T data) {
        this.data = data;
    }

    public boolean checkOk() {
        return CODE_SUCC.equals(this.code);
    }

    public static <T> Result<T> ok(T data){
        return ok(MSG_SUCC, data);
    }

    public static <T> Result<T> ok(String msg, T data){
        return new Result<T>(CODE_SUCC, msg, data);
    }

    public static <T> Result<T> fail(String msg) {
        return new Result<T>(CODE_FAIL, msg, null);
    }

    public static <T> Result<T> clientfail(String msg) {
        return new Result<T>(CODE_FAIL, msg, null);
    }

    public static <T> Result<T> build(Integer c,String m,T d){
        return new Result<T>(c, m, d);
    }


}
