package com.qima.gift.common.utils;

import com.google.common.collect.Lists;

import java.util.Collection;
import java.util.List;
import java.util.function.Function;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/6/10 14:42
 */
public class CollectionUtils {

    private CollectionUtils(){}

    public static <E> boolean isEmpty(Collection<E> c) {
        return org.springframework.util.CollectionUtils.isEmpty(c);
    }

    public static <E> boolean isNotEmpty(Collection<E> c) {
        return !isEmpty(c);
    }

    public static <E,R> List<R> convert(Collection<E> c, Function<E,R> f) {
        if(ObjectUtils.isNotNull(c)) {
            List<R> r = Lists.newArrayList();
            for(E e:c) {
                r.add(f.apply(e));
            }
            return r;
        }
        return null;
    }
}
