-- ----------------------------
-- Table structure for system_info
-- ----------------------------
DROP TABLE IF EXISTS "public"."system_info";
CREATE TABLE "public"."system_info" (
    "id" varchar(36) COLLATE "pg_catalog"."default" NOT NULL,
    "name" varchar(1024) COLLATE "pg_catalog"."default",
    "code" varchar(64) COLLATE "pg_catalog"."default",
    "system_type" varchar(64) COLLATE "pg_catalog"."default",
    "other_name" varchar(256) COLLATE "pg_catalog"."default",
    "system_address" varchar(256) COLLATE "pg_catalog"."default",
    "system_port" varchar(64) COLLATE "pg_catalog"."default",
    "system_app" varchar(64) COLLATE "pg_catalog"."default",
    "system_protocol" varchar(64) COLLATE "pg_catalog"."default",
    "system_web_address" varchar(256) COLLATE "pg_catalog"."default",
    "system_web_port" varchar(64) COLLATE "pg_catalog"."default",
    "system_web_app" varchar(64) COLLATE "pg_catalog"."default",
    "system_web_protocol" varchar(64) COLLATE "pg_catalog"."default",
    "system_mobile_address" varchar(256) COLLATE "pg_catalog"."default",
    "system_mobile_port" varchar(64) COLLATE "pg_catalog"."default",
    "system_mobile_app" varchar(64) COLLATE "pg_catalog"."default",
    "system_mobile_protocol" varchar(64) COLLATE "pg_catalog"."default",
    "description" varchar(1024) COLLATE "pg_catalog"."default",
    "ext1" varchar(1024) COLLATE "pg_catalog"."default",
    "ext2" varchar(1024) COLLATE "pg_catalog"."default",
    "gmt_create" timestamp(3),
    "gmt_modified" timestamp(3)
)
;
COMMENT ON COLUMN "public"."system_info"."name" IS '系统名称';
COMMENT ON COLUMN "public"."system_info"."code" IS '系统码';
COMMENT ON COLUMN "public"."system_info"."system_type" IS '系统类别';
COMMENT ON COLUMN "public"."system_info"."other_name" IS '系统别名';
COMMENT ON COLUMN "public"."system_info"."system_address" IS '系统域名/IP';
COMMENT ON COLUMN "public"."system_info"."system_port" IS '系统端口';
COMMENT ON COLUMN "public"."system_info"."system_app" IS '系统应用名';
COMMENT ON COLUMN "public"."system_info"."system_protocol" IS '系统协议';
COMMENT ON COLUMN "public"."system_info"."system_web_address" IS '系统web端域名/IP';
COMMENT ON COLUMN "public"."system_info"."system_web_port" IS '系统web端端口';
COMMENT ON COLUMN "public"."system_info"."system_web_app" IS '系统web端应用名';
COMMENT ON COLUMN "public"."system_info"."system_web_protocol" IS '系统web端协议';
COMMENT ON COLUMN "public"."system_info"."system_mobile_address" IS '系统移动端域名/IP';
COMMENT ON COLUMN "public"."system_info"."system_mobile_port" IS '系统移动端端口';
COMMENT ON COLUMN "public"."system_info"."system_mobile_app" IS '系统移动端应用名';
COMMENT ON COLUMN "public"."system_info"."system_mobile_protocol" IS '系统移动端协议';
COMMENT ON COLUMN "public"."system_info"."description" IS '备注';
COMMENT ON COLUMN "public"."system_info"."ext1" IS '扩展字段1';
COMMENT ON COLUMN "public"."system_info"."ext2" IS '扩展字段2';
COMMENT ON COLUMN "public"."system_info"."gmt_create" IS '创建时间';
COMMENT ON COLUMN "public"."system_info"."gmt_modified" IS '修改时间';
COMMENT ON TABLE "public"."system_info" IS '系统信息表';

-- ----------------------------
-- Primary Key structure for table cloud_system
-- ----------------------------
ALTER TABLE "public"."system_info" ADD CONSTRAINT "system_info_pkey" PRIMARY KEY ("id");

-- ----------------------------
-- Table structure for account_info
-- ----------------------------
DROP TABLE IF EXISTS "public"."account_info";
CREATE TABLE "public"."account_info" (
    "id" varchar(36) COLLATE "pg_catalog"."default" NOT NULL,
    "name" varchar(256) COLLATE "pg_catalog"."default" NOT NULL,
    "res_type" varchar(64) COLLATE "pg_catalog"."default" NOT NULL,
    "res_id" varchar(36) COLLATE "pg_catalog"."default" NOT NULL,
    "state" int4 NOT NULL,
    "ext1" varchar(1024) COLLATE "pg_catalog"."default",
    "ext2" varchar(1024) COLLATE "pg_catalog"."default",
    "gmt_create" timestamp(3) NOT NULL,
    "gmt_modified" timestamp(3) NOT NULL,
    "sys_id" varchar(36) COLLATE "pg_catalog"."default" NOT NULL
)
;
COMMENT ON COLUMN "public"."account_info"."id" IS '主键';
COMMENT ON COLUMN "public"."account_info"."name" IS '账户名称';
COMMENT ON COLUMN "public"."account_info"."res_type" IS '账户对应的实体类型:人员、身份等';
COMMENT ON COLUMN "public"."account_info"."res_id" IS '实体ID';
COMMENT ON COLUMN "public"."account_info"."state" IS '账户状态:0正常,1-未登录,2-停用';
COMMENT ON COLUMN "public"."account_info"."ext1" IS '扩展字段1';
COMMENT ON COLUMN "public"."account_info"."ext2" IS '扩展字段2';
COMMENT ON COLUMN "public"."account_info"."gmt_create" IS '创建时间';
COMMENT ON COLUMN "public"."account_info"."gmt_modified" IS '更新时间';
COMMENT ON COLUMN "public"."account_info"."sys_id" IS '系统ID';
COMMENT ON TABLE "public"."account_info" IS '登录账户表';

-- ----------------------------
-- Primary Key structure for table account_info
-- ----------------------------
ALTER TABLE "public"."account_info" ADD CONSTRAINT "account_info_pkey" PRIMARY KEY ("id");

-- ----------------------------
-- Table structure for account_auth
-- ----------------------------
DROP TABLE IF EXISTS "public"."account_auth";
CREATE TABLE "public"."account_auth" (
    "id" varchar(36) COLLATE "pg_catalog"."default" NOT NULL,
    "account_id" varchar(36) COLLATE "pg_catalog"."default" NOT NULL,
    "auth_type" varchar(36) NOT NULL,
    "principal" varchar(256) COLLATE "pg_catalog"."default" NOT NULL,
    "credentials" varchar(1024) COLLATE "pg_catalog"."default" NOT NULL,
    "encode" int4 NOT NULL,
    "ext1" varchar(1024) COLLATE "pg_catalog"."default",
    "ext2" varchar(1024) COLLATE "pg_catalog"."default",
    "gmt_create" timestamp(3) NOT NULL,
    "gmt_modified" timestamp(3) NOT NULL,
    "sys_id" varchar(36) COLLATE "pg_catalog"."default" NOT NULL
)
;
COMMENT ON COLUMN "public"."account_auth"."id" IS '主键';
COMMENT ON COLUMN "public"."account_auth"."account_id" IS '账户ID';
COMMENT ON COLUMN "public"."account_auth"."auth_type" IS '认证类型:10-用户名|11-手机号|12-邮箱|20-微信UID|30-新浪令牌|40-qq令牌...';
COMMENT ON COLUMN "public"."account_auth"."principal" IS '认证唯一码:对应用户名|手机号|邮箱|微信号|新浪号|qq号|...';
COMMENT ON COLUMN "public"."account_auth"."credentials" IS '认证信息';
COMMENT ON COLUMN "public"."account_auth"."encode" IS '编码方式';
COMMENT ON COLUMN "public"."account_auth"."ext1" IS '扩展字段1';
COMMENT ON COLUMN "public"."account_auth"."ext2" IS '扩展字段2';
COMMENT ON COLUMN "public"."account_auth"."gmt_create" IS '创建时间';
COMMENT ON COLUMN "public"."account_auth"."gmt_modified" IS '更新时间';
COMMENT ON COLUMN "public"."account_auth"."sys_id" IS '系统ID';
COMMENT ON TABLE "public"."account_auth" IS '账户认证表';

-- ----------------------------
-- Primary Key structure for table account_auth
-- ----------------------------
ALTER TABLE "public"."account_auth" ADD CONSTRAINT "account_auth_pkey" PRIMARY KEY ("id");


-- ----------------------------
-- Table structure for space_file
-- ----------------------------
DROP TABLE IF EXISTS "public"."space_file";
CREATE TABLE "public"."space_file" (
    "id" varchar(36) COLLATE "pg_catalog"."default" NOT NULL,
    "name" varchar(1024) COLLATE "pg_catalog"."default" NOT NULL,
    "save_name" varchar(256) COLLATE "pg_catalog"."default" NOT NULL,
    "type" varchar(64) COLLATE "pg_catalog"."default" NOT NULL,
    "encode" varchar(64) COLLATE "pg_catalog"."default",
    "size" int8,
    "save_size" int8,
    "owner_type" varchar(36) COLLATE "pg_catalog"."default" NOT NULL,
    "owner_id" varchar(36) COLLATE "pg_catalog"."default" NOT NULL,
    "res_type" varchar(36) COLLATE "pg_catalog"."default" NOT NULL,
    "res_id" varchar(36) COLLATE "pg_catalog"."default" NOT NULL,
    "storage_area" varchar(1024) COLLATE "pg_catalog"."default" NOT NULL,
    "storage_encode" varchar(64) COLLATE "pg_catalog"."default",
    "state" int4 NOT NULL,
    "ext1" varchar(1024) COLLATE "pg_catalog"."default",
    "ext2" varchar(1024) COLLATE "pg_catalog"."default",
    "gmt_create" timestamp(3) NOT NULL,
    "gmt_modified" timestamp(3) NOT NULL,
    "sys_id" varchar(36) COLLATE "pg_catalog"."default" NOT NULL
)
;
COMMENT ON COLUMN "public"."space_file"."id" IS '主键';
COMMENT ON COLUMN "public"."space_file"."name" IS '文件名称';
COMMENT ON COLUMN "public"."space_file"."save_name" IS '文件保存名';
COMMENT ON COLUMN "public"."space_file"."type" IS '文件类型(txt,doc,docx等)';
COMMENT ON COLUMN "public"."space_file"."encode" IS '文件编码(有编码的为编码字符，无编码的为空白字符)';
COMMENT ON COLUMN "public"."space_file"."size" IS '文件原始大小，单位byte';
COMMENT ON COLUMN "public"."space_file"."save_size" IS '文件存储大小(可能经过加密)，单位byte';
COMMENT ON COLUMN "public"."space_file"."owner_type" IS '文件上传者类型';
COMMENT ON COLUMN "public"."space_file"."owner_id" IS '文件上传者';
COMMENT ON COLUMN "public"."space_file"."res_type" IS '文件所属资源类型';
COMMENT ON COLUMN "public"."space_file"."res_id" IS '文件所属ID';
COMMENT ON COLUMN "public"."space_file"."storage_area" IS '文件存储分区';
COMMENT ON COLUMN "public"."space_file"."storage_encode" IS '文件存储加密方式';
COMMENT ON COLUMN "public"."space_file"."state" IS '文件状态:1正式,0-无效,-1临时,-2异常';
COMMENT ON COLUMN "public"."space_file"."ext1" IS '扩展字段1';
COMMENT ON COLUMN "public"."space_file"."ext2" IS '扩展字段2';
COMMENT ON COLUMN "public"."space_file"."gmt_create" IS '文件创建时间';
COMMENT ON COLUMN "public"."space_file"."gmt_modified" IS '文件修改时间';
COMMENT ON COLUMN "public"."space_file"."sys_id" IS '系统ID';
COMMENT ON TABLE "public"."space_file" IS '空间文件表';

-- ----------------------------
-- Primary Key structure for table space_file
-- ----------------------------
ALTER TABLE "public"."space_file" ADD CONSTRAINT "space_file_pkey" PRIMARY KEY ("id");